Page MenuHomePhabricator

Some user group change on wuu.wikipedia
Closed, ResolvedPublic

Description

We want to create a new usergroup Rollbacker on https://wuu.wikipedia.org (discussion here:https://wuu.wikipedia.org/wiki/user_talk:Lt2818#RFA). It should have these right: rollback , patrol , autopatrol . And, please let sysop can add and remove this group. Now the wuu wikipedia isn't very active, many user vandalism this site, and the sysop wasn't often online, this kind of change can help us fight with that thing. THX !

Event Timeline

Cosine02 created this task.Oct 22 2015, 9:30 AM
Cosine02 raised the priority of this task from to Normal.
Cosine02 updated the task description. (Show Details)
Cosine02 added a subscriber: Cosine02.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 22 2015, 9:30 AM

editinterface for rollbacker? I don't think this is a good idea...

Sometimes we should import some small tool to this site.So maybe we need this right...

This comment was removed by Cosine02.
MarcoAurelio claimed this task.EditedOct 22 2015, 10:14 AM
MarcoAurelio added a subscriber: MarcoAurelio.
  • I agree with @Krenair that editinterface for rollbackers is a bad idea. That permission is sensitive enough to damage the site and its users. Moreover, if you say that the wiki is small, then the level of oversight for this will also be limited; as such I'd advice against granting this.
  • Regarding the import right (importupload): this permission allows importing files via XML. I am not sure we want to activate this as well, since imports from wikis can be done by referencing the permanent link and the history in the pages. Importing via XML can result too in falsified histories and diffs if you're able to modify the XML file. I'm also not sure about this one.
  • Regarding abusefilter-log-private, this is usually a sysop-only permission. Don't have an opinion and I'd have to check if users at wuuwiki do have the ability to check the log first.

The remaining ones are fine for me.

Krenair added a comment.EditedOct 22 2015, 10:20 AM
  • Let's deny the request for giving editinterface to a rollbacker-level group on a wiki with open account creation (i.e. it might be okay on a fishbowl or private or whatever).
  • I'd prefer not to give out importupload either. Transwiki import should be OK. Isn't there some existing group for this?
  • I'm not quite sure about abusefilter-log-private either but zhwiki gives this already.

Also, even for a small wiki, this has only been discussed on a single user's talk page?

It should be discussed on the Village Pump or cummunity discusion place for at least one week. User talk pages are not valid discussion places.

Hi @Cosine02. For any configuration change, we require a local consensus. For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes - Thanks!

I think Rollbacker is necessary at wuu.wp,because the wuu has too many spoilers.

what?

I'm afraid such comments aren't too helpful and welcoming.
Asking what exactly "has too many spoilers" means would be, and for any data that backs up that impression.

Cosine02 changed the task status from Open to Stalled.Oct 23 2015, 11:17 AM
Cosine02 updated the task description. (Show Details)
Cosine02 set Security to None.

OK, I change it a little....

Luke081515 updated the task description. (Show Details)Oct 23 2015, 12:32 PM
Cosine02 removed a subscriber: Cosine02.Oct 24 2015, 1:24 PM
Cosine02 added a subscriber: Cosine02.

Yes , and our site is very inactive.....According to the village pump , two user support this task ,and one sysop think we should add a right : suppressredirect.

MarcoAurelio removed MarcoAurelio as the assignee of this task.Nov 14 2015, 6:34 PM

IIs there a consensus for suppressredirect?

Dereckson changed the task status from Stalled to Open.Nov 14 2015, 8:37 PM
Reedy renamed this task from Some user group change on wuu.wikipedia to Some user group change on wuu.wikipedia.Nov 14 2015, 8:37 PM
Luke081515 claimed this task.EditedNov 14 2015, 8:44 PM
Luke081515 added a subscriber: Luke081515.

Ok, so we have this situation:
Consens for these rights:

  • Rollback
  • Autopatrol
  • Patrol

Name: Rollbacker
Unclear:

  • Suppressredirect

I will set up a patch for the first free rights. So you can open a new task, if there is a consensus for suppressredirect.

Luke081515 updated the task description. (Show Details)Nov 14 2015, 8:57 PM

Change 253084 had a related patch set uploaded (by Luke081515):
Add a rollbacker group for wuuwiki

https://gerrit.wikimedia.org/r/253084

ok,but i can't understand what we need to do now...

We need to deploy this via SWAT. The problem is, that I have to be available druing the SWAT time, so I guess we can do this at thursday.

Change 253084 merged by jenkins-bot:
Add a rollbacker group at wuuwiki

https://gerrit.wikimedia.org/r/253084

Luke081515 closed this task as Resolved.Dec 10 2015, 4:34 PM
Luke081515 removed a project: Patch-For-Review.

Deployed via SWAT, works now.